Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRDataSource

All Known Subinterfaces:
  JRRewindableDataSource

All Known Implementing Classes:
  JRAbstractBeanDataSource, JRAbstractTextDataSource, JRBeanArrayDataSource, JRBeanCollectionDataSource, JRCsvDataSource, JREmptyDataSource, JRHibernateAbstractDataSource, JRHibernateIterateDataSource, JRHibernateListDataSource, JRHibernateScrollDataSource, JRJpaDataSource, JRMapArrayDataSource, JRMapCollectionDataSource, JRMondrianDataSource, JROlapDataSource, JRResultSetDataSource, JRSortableDataSource, JRTableModelDataSource, JRXlsDataSource, JRXmlDataSource, ListOfArrayDataSource

    public interface JRDataSource

This interface represents the abstract representation of a JasperReports data source. All data source types must implement this interface.

JasperReports provides default implementations of result set, bean collections and bean arrays data sources.

Version:
  $Id: JRDataSource.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.lang.Object` | `getFieldValue(JRField jrField)` Gets the field value for the current position.
`boolean` | `next()` Tries to position the cursor on the next element in the data source.

Method Detail

### next

    boolean next()
                 throws JRException

  Tries to position the cursor on the next element in the data source.

  Returns:
    true if there is a next record, false otherwise
  Throws:
    `JRException` - if any error occurs while trying to move to the next element

### getFieldValue

    java.lang.Object getFieldValue(JRField jrField)
                                   throws JRException

  Gets the field value for the current position.

  Returns:
    an object containing the field value. The object type must be the field object type.
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com